<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.board.Board (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.board.Board (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/board/class-use/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.board.Board" class="title">Uses of Class<br>towerwarspp.board.Board</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.board">towerwarspp.board</a></td>
<td class="colLast">
<div class="block">The board Package which implements the Logic of the game.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.main">towerwarspp.main</a></td>
<td class="colLast">
<div class="block">The main package controls the whole game and implements the inputParameter dialog.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main.game">towerwarspp.main.game</a></td>
<td class="colLast">
<div class="block">The Game package which controls the main game and implements the save and load option.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player.mcts">towerwarspp.player.mcts</a></td>
<td class="colLast">
<div class="block">The mcts package which implements the monte carlo tree search algorithm.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.board">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a> in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> that return <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#clone--">clone</a></span>()</code>
<div class="block">Clones the current <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> object and returns the clone.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/board/package-summary.html">towerwarspp.board</a> with parameters of type <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Board.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/board/Board.html#playerCanWin-towerwarspp.board.Board-towerwarspp.preset.PlayerColor-">playerCanWin</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board,
            <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;col)</code>
<div class="block">Returns true if at least one of the moves available for the player of the color col
 leads to the win.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a> in <a href="../../../towerwarspp/main/package-summary.html">towerwarspp.main</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/main/package-summary.html">towerwarspp.main</a> declared as <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">AgeOfTowers.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/AgeOfTowers.html#board">board</a></span></code>
<div class="block"><a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> object</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.game">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a> in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> declared as <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#board">board</a></span></code>
<div class="block"><a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> to play with.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a> in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> declared as <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">BasePlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/BasePlayer.html#board">board</a></span></code>
<div class="block">Board instance on which the player places all his own and opponent moves.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> with parameters of type <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">PlayStrategy.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/PlayStrategy.html#heavyPlay-towerwarspp.board.Board-">heavyPlay</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">Uses the passed <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> object to get all moves available to the Player returned by <a href="../../../towerwarspp/board/SimpleBoard.html#getTurn--"><code>SimpleBoard.getTurn()</code></a>,
 then assigns a score to each of them by using the <a href="../../../towerwarspp/board/Board.html#altScore-towerwarspp.preset.Move-towerwarspp.preset.PlayerColor-"><code>altScore(Move, PlayerColor)</code></a> evaluation function
 and returns a random move out of the highest scored moves.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><span class="typeNameLabel">PlayStrategy.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/PlayStrategy.html#lightPlay-towerwarspp.board.Board-">lightPlay</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">Uses the passed <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> object to get all moves available to the Player returned by <a href="../../../towerwarspp/board/SimpleBoard.html#getTurn--"><code>SimpleBoard.getTurn()</code></a>,
 then randomly selects one of them and returns it.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BasePlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/BasePlayer.html#setBoard-towerwarspp.board.Board-">setBoard</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">sets the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> of the Player to given Board and updates the <a href="../../../towerwarspp/player/PlayerState.html" title="enum in towerwarspp.player"><code>PlayerState</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player.mcts">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a> in <a href="../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> declared as <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">UpdateTree.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/UpdateTree.html#board">board</a></span></code>
<div class="block">Board that the algorithm is executed on.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Mcts.html#board">board</a></span></code>
<div class="block">The current board that is always at the state represented by the root of the tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Mcts.html#newBoard">newBoard</a></span></code>
<div class="block">This variable can be set from outside this Thread.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> with parameters of type <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Node.html#expand-towerwarspp.board.Board-">expand</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">Used to expand a Node by selecting one of it's unexplored children from <a href="../../../towerwarspp/player/mcts/Node.html#unvisitedChildren"><code>Node.unvisitedChildren</code></a> and adding it to
 it's <a href="../../../towerwarspp/player/mcts/Node.html#children"><code>Node.children</code></a> list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) java.util.ArrayList&lt;<a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Node.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Node.html#fullExpand-towerwarspp.board.Board-">fullExpand</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">Use this function to fully expand a node.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) static <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a></code></td>
<td class="colLast"><span class="typeNameLabel">UpdateTree.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/UpdateTree.html#playout-towerwarspp.board.Board-towerwarspp.player.PlayStrategy-">playout</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board,
       <a href="../../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a>&nbsp;playStrategy)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Mcts.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Mcts.html#setInit-towerwarspp.board.Board-">setInit</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board)</code>
<div class="block">Method is called from other Thread.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/player/mcts/package-summary.html">towerwarspp.player.mcts</a> with parameters of type <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/Node.html#Node-towerwarspp.board.Board-double-">Node</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board,
    double&nbsp;bias)</code>
<div class="block">Root constructor of the Monte Carlo tree search.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/mcts/UpdateTree.html#UpdateTree-towerwarspp.board.Board-towerwarspp.player.mcts.Node-towerwarspp.player.PlayStrategy-int-">UpdateTree</a></span>(<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a>&nbsp;board,
          <a href="../../../towerwarspp/player/mcts/Node.html" title="class in towerwarspp.player.mcts">Node</a>&nbsp;root,
          <a href="../../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a>&nbsp;playStrategy,
          int&nbsp;nthSubtree)</code>
<div class="block">Constructor to construct a new UpdateTree object.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/board/class-use/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
